OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESControl

# IGESControl_IGESBoundary Class Reference

Translates IGES boundary entity (types 141, 142 and 508)
in Advanced Data Exchange.
Redefines translation and treatment methods from inherited
open class IGESToBRep_IGESBoundary.
.

`#include <IGESControl_IGESBoundary.hxx>`

Inheritance diagram for IGESControl_IGESBoundary:

[legend]

## Public Member Functions
Standard_EXPORT | IGESControl_IGESBoundary ()
| Creates an object and calls inherited constuctor. .
Standard_EXPORT | IGESControl_IGESBoundary (const IGESToBRep_CurveAndSurface &CS)
| Creates an object and calls inherited constuctor. .
virtual Standard_EXPORT void | Check (const Standard_Boolean result, const Standard_Boolean checkclosure, const Standard_Boolean okCurve3d, const Standard_Boolean okCurve2d)
| Checks result of translation of IGES boundary entities (types 141, 142 or 508). Checks consistency of 2D and 3D representations and keeps only one if they are inconsistent. Checks the closure of resulting wire and if it is not closed, checks 2D and 3D representation and updates the resulting wire to contain only closed representation. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Protected Member Functions
virtual Standard_EXPORT Standard_Boolean | Transfer (Standard_Boolean &okCurve, Standard_Boolean &okCurve3d, Standard_Boolean &okCurve2d, const Handle(IGESData_IGESEntity)&icurve3d, const Handle(ShapeExtend_WireData)&scurve3d, const Standard_Boolean usescurve, const Standard_Boolean toreverse3d, const Handle(IGESData_HArray1OfIGESEntity)&curves2d, const Standard_Boolean toreverse2d, const Standard_Integer number, Handle(ShapeExtend_WireData)&lsewd)
| Methods called by both Transfer methods. .

## Constructor & Destructor Documentation

Standard_EXPORT IGESControl_IGESBoundary::IGESControl_IGESBoundary | ( |  | ) |

Standard_EXPORT IGESControl_IGESBoundary::IGESControl_IGESBoundary | ( | const IGESToBRep_CurveAndSurface & | CS | ) |

## Member Function Documentation

virtual Standard_EXPORT void IGESControl_IGESBoundary::Check | ( | const Standard_Boolean | result,
|  | const Standard_Boolean | checkclosure,
|  | const Standard_Boolean | okCurve3d,
|  | const Standard_Boolean | okCurve2d
| ) | `[virtual]`

| Reimplemented from IGESToBRep_IGESBoundary.

Standard_EXPORT const IGESControl_IGESBoundary::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESToBRep_IGESBoundary.

virtual Standard_EXPORT Standard_Boolean IGESControl_IGESBoundary::Transfer | ( | Standard_Boolean & | okCurve,
|  | Standard_Boolean & | okCurve3d,
|  | Standard_Boolean & | okCurve2d,
|  | const Handle(IGESData_IGESEntity)& | icurve3d,
|  | const Handle(ShapeExtend_WireData)& | scurve3d,
|  | const Standard_Boolean | usescurve,
|  | const Standard_Boolean | toreverse3d,
|  | const Handle(IGESData_HArray1OfIGESEntity)& | curves2d,
|  | const Standard_Boolean | toreverse2d,
|  | const Standard_Integer | number,
|  | Handle(ShapeExtend_WireData)& | lsewd
| ) | `[protected, virtual]`

| Reimplemented from IGESToBRep_IGESBoundary.

The documentation for this class was generated from the following file:

- IGESControl_IGESBoundary.hxx